/*!***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[6].rules[0].oneOf[0].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[6].rules[0].oneOf[0].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[6].rules[1].use[0]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[6].rules[1].use[1]!./src/styles.scss?ngGlobalStyle ***!
  \***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
:host ::ng-deep .filter-block_sort .p-calendar,
:host ::ng-deep .filter-block_sort .p-dropdown,
:host ::ng-deep .filter-block_sort .p-autocomplete,
:host ::ng-deep .filter-block_sort .p-inputnumber {
  min-height: 40px !important;
  height: 40px !important;
  border-radius: 4px;
}
:host ::ng-deep .filter-block_sort input.p-inputtext {
  border: 1px solid #ced4da;
  border-radius: 4px;
  max-height: 40px;
}
:host ::ng-deep .filter-block_sort .p-inputtext {
  padding: 11px 10px 11px 11px;
}
:host ::ng-deep .filter-block_sort .p-dropdown .p-dropdown-label,
:host ::ng-deep .filter-block_sort .p-dropdown .p-dropdown-label.p-placeholder {
  padding: 11px 16px 0;
}
:host ::ng-deep .filter-block_sort .p-dropdown,
:host ::ng-deep .filter-block_sort .p-autocomplete,
:host ::ng-deep .filter-block_sort .p-calendar {
  border: 1px solid #ced4da;
}
:host ::ng-deep .filter-block_sort p-calendar .p-inputtext {
  border: none !important;
}
:host ::ng-deep .filter-block_sort .ng-valid .p-calendar .p-inputtext,
:host ::ng-deep .filter-block_sort .ng-valid .p-autocomplete,
:host ::ng-deep .filter-block_sort .p-inputwrapper-filled .p-calendar .p-inputtext,
:host ::ng-deep .filter-block_sort .p-inputwrapper-filled .p-autocomplete {
  border-bottom: none !important;
}
:host ::ng-deep .filter-block_sort .ng-valid .p-dropdown,
:host ::ng-deep .filter-block_sort .ng-valid .p-autocomplete,
:host ::ng-deep .filter-block_sort .p-inputwrapper-filled .p-dropdown,
:host ::ng-deep .filter-block_sort .p-inputwrapper-filled .p-autocomplete {
  border-bottom: 1px solid #ced4da !important;
}
:host ::ng-deep .filter-block_sort .ng-valid .p-dropdown .p-dropdown-label:not(.p-placeholder),
:host ::ng-deep .filter-block_sort .p-inputwrapper-filled .p-dropdown .p-dropdown-label:not(.p-placeholder) {
  color: #495057;
}

:host ::ng-deep .p-dropdown {
  max-height: 46px;
}

:host ::ng-deep .p-calendar {
  min-height: 46px;
  max-height: 46px;
  width: 100% !important;
}

:host ::ng-deep p-calendar .p-button {
  color: #03BFA9 !important;
  background: #fff !important;
  border: 1px solid #DDD !important;
  gap: 0 !important;
  border-bottom: 2px solid #798b94 !important;
  border-left: none !important;
}

:host ::ng-deep p-autocomplete .p-button {
  color: #6c757d !important;
  background: #fff !important;
  gap: 0 !important;
  border-left: none !important;
}

:host ::ng-deep p-calendar .p-inputtext {
  border-bottom: 2px solid #798b94 !important;
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-right: none !important;
}

:host ::ng-deep p-calendar .p-calendar-timeonly .p-inputtext,
:host ::ng-deep input.custom-input.p-inputtext {
  border-bottom: 2px solid #798b94 !important;
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-right: 1px solid #DDD !important;
}

:host ::ng-deep input.custom-input.p-inputtext {
  max-height: 46px;
  min-height: 46px;
}

:host ::ng-deep input.custom-input.p-inputtext.p-filled.ng-valid,
:host ::ng-deep input.custom-input.p-inputtext.p-filled {
  border-bottom: 2px solid #24eebd !important;
}

:host ::ng-deep p-checkbox.ng-invalid.ng-touched .p-checkbox:not(.p-checkbox-checked) .p-checkbox-box,
:host ::ng-deep p-radiobutton.ng-invalid.ng-touched .p-radiobutton .p-radiobutton-box {
  border-color: #fb7991 !important;
}

:host ::ng-deep .input-wrapper-error input.custom-input.p-inputtext.ng-invalid.ng-touched,
:host ::ng-deep .input-wrapper-error input.custom-input.p-inputtext.p-filled.ng-invalid {
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-invalid.ng-touched > .p-calendar-timeonly > .p-inputtext {
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}
:host ::ng-deep .input-wrapper-error .p-inputgroup p-inputnumber.ng-invalid.ng-touched > .p-inputnumber > .p-inputtext,
:host ::ng-deep .input-wrapper-error p-calendar.ng-invalid.ng-touched > .p-calendar > .p-inputtext {
  border-top: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.p-inputwrapper-filled.ng-untouched > .p-calendar > .p-inputtext:not(:disabled),
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.p-inputwrapper-filled.ng-touched > .p-calendar > .p-inputtext:not(:disabled) {
  border-bottom: 2px solid #24eebd !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.p-inputwrapper-filled.ng-untouched .p-calendar .p-button:not(:disabled),
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.p-inputwrapper-filled.ng-touched .p-calendar .p-button:not(:disabled) {
  border-bottom: 2px solid #24eebd !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.ng-untouched > .p-calendar > .p-inputtext:not(:disabled),
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.ng-touched > .p-calendar > .p-inputtext:not(:disabled) {
  border-bottom: 2px solid #798b94 !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.ng-untouched .p-calendar .p-button:not(:disabled),
:host ::ng-deep .input-wrapper-error p-calendar.ng-valid.ng-touched .p-calendar .p-button:not(:disabled) {
  border-bottom: 2px solid #798b94 !important;
}
:host ::ng-deep .input-wrapper-error p-calendar.ng-invalid.ng-touched > .p-calendar .p-button {
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}
:host ::ng-deep .input-wrapper-error p-multiselect.ng-invalid.ng-touched .p-multiselect,
:host ::ng-deep .input-wrapper-error p-dropdown.ng-invalid.ng-touched .p-dropdown {
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}
:host ::ng-deep .input-wrapper-error .p-inputgroup p-inputnumber.ng-invalid.ng-touched .p-inputnumber {
  border-bottom: none !important;
}
:host ::ng-deep .input-wrapper-error p-inputnumber.ng-invalid.ng-touched .p-inputnumber {
  border-bottom: none !important;
  border-bottom: 2px solid #fb7991 !important;
}
:host ::ng-deep .input-wrapper-error .ng-invalid.ng-touched + .p-inputgroup-addon,
:host ::ng-deep .input-wrapper-error .p-inputgroup-addon:has(+ .ng-invalid.ng-touched) {
  border-bottom: 2px solid #fb7991 !important;
  background: rgba(251, 121, 145, 0.08) !important;
}

:host ::ng-deep p-dropdown,
:host ::ng-deep p-autocomplete,
:host ::ng-deep p-calendar {
  width: 100%;
}

:host ::ng-deep p-autocomplete .p-inputtext {
  padding: 8px 16px;
  width: 100%;
  border: none;
  border-radius: 4px 4px 2px 2px;
}

:host ::ng-deep .p-autocomplete input::placeholder {
  padding: 0;
}

:host ::ng-deep .p-dropdown .p-dropdown-label.p-placeholder,
:host ::ng-deep .p-dropdown .p-dropdown-label,
:host ::ng-deep .p-multiselect .p-multiselect-label.p-placeholder,
:host ::ng-deep .p-multiselect .p-multiselect-label {
  padding: 14px 16px 0;
}

:host ::ng-deep .p-inputgroup .p-dropdown .p-dropdown-label.p-placeholder,
:host ::ng-deep .p-inputgroup .p-dropdown .p-dropdown-label {
  padding: 14px 0 0;
}

:host ::ng-deep .p-dropdown,
:host ::ng-deep .p-autocomplete,
:host ::ng-deep .p-inputnumber,
:host ::ng-deep .p-inputtext,
:host ::ng-deep .p-multiselect {
  min-height: 46px;
  max-height: 46px;
  border: none;
  width: 100%;
  border-radius: 4px 4px 2px 2px;
}

:host ::ng-deep p-dropdown.ng-dirty.ng-invalid > .p-dropdown {
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 2px solid #798b94;
}

:host ::ng-deep .p-inputtextarea {
  max-height: none;
}

:host ::ng-deep .p-inputtext {
  min-height: 44px;
}

:host ::ng-deep .small-input .p-inputnumber,
:host ::ng-deep .small-input .p-inputtext,
:host ::ng-deep .small-input .p-inputgroup {
  max-height: 40px !important;
  min-height: 40px !important;
}

:host ::ng-deep .text-align-right .p-inputtext {
  text-align: end;
}

:host ::ng-deep .small-input .p-inputtext {
  border-bottom: 1px solid #DDD;
  padding-top: 0.3rem;
}

:host ::ng-deep .p-dropdown,
:host ::ng-deep .p-autocomplete,
:host ::ng-deep .p-inputnumber,
:host ::ng-deep .p-multiselect {
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 2px solid #798b94;
}

:host ::ng-deep .p-dropdown .p-dropdown-label.p-placeholder,
:host ::ng-deep .p-dropdown .p-dropdown-label,
:host ::ng-deep .p-multiselect .p-multiselect-label.p-placeholder,
:host ::ng-deep .p-multiselect .p-multiselect-label,
:host ::ng-deep .p-autocomplete input::placeholder {
  font-size: 16px;
  font-weight: 400;
  color: #798b94;
}

:host ::ng-deep .p-dropdown .p-inputtext {
  box-shadow: none;
}

:host ::ng-deep .p-inputtextarea {
  padding: 10px 16px 8px;
  resize: none;
  font-size: 15px;
  font-weight: 400;
  line-height: 22px;
  color: #798b94;
  min-height: 46px;
  border: none;
  width: 100%;
  border-radius: 4px;
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 1px solid #DDD;
}
:host ::ng-deep .p-inputtextarea:focus-visible {
  outline: none;
}

:host ::ng-deep .p-disabled,
:host ::ng-deep .p-component:disabled {
  background: #f2f2f2 !important;
  opacity: 1;
}

:host ::ng-deep .p-inputwrapper-filled .p-dropdown.p-disabled .p-dropdown-label {
  color: #979797 !important;
}

:host ::ng-deep .p-dropdown:not(.p-disabled):hover,
:host ::ng-deep .p-dropdown:not(.p-disabled):hover.p-focus,
:host ::ng-deep .p-dropdown:not(.p-disabled).p-focus,
:host ::ng-deep .p-multiselect:not(.p-disabled):hover,
:host ::ng-deep .p-multiselect:not(.p-disabled):hover.p-focus,
:host ::ng-deep .p-multiselect:not(.p-disabled).p-focus {
  box-shadow: none;
  border: none;
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-bottom: 2px solid #798b94;
}

:host ::ng-deep .p-inputtext:enabled:hover {
  border-color: #DDD;
}

:host ::ng-deep .ng-valid .p-dropdown:not(:disabled),
:host ::ng-deep .ng-valid .p-multiselect:not(:disabled),
:host ::ng-deep .ng-valid .p-autocomplete:not(:disabled),
:host ::ng-deep .ng-valid .p-calendar .p-inputtext:not(:disabled),
:host ::ng-deep .ng-valid .p-calendar .p-button:not(:disabled),
:host ::ng-deep .p-inputwrapper-filled .p-dropdown:not(:disabled),
:host ::ng-deep .p-inputwrapper-filled .p-multiselect:not(:disabled),
:host ::ng-deep .p-inputwrapper-filled .p-autocomplete:not(:disabled),
:host ::ng-deep .p-inputwrapper-filled .p-calendar .p-inputtext:not(:disabled),
:host ::ng-deep .p-inputwrapper-filled .p-calendar .p-button:not(:disabled) {
  border-bottom: 2px solid #24eebd !important;
}

:host ::ng-deep .p-inputwrapper-filled .p-inputnumber {
  border-bottom: 2px solid #24eebd !important;
}

:host ::ng-deep .bolder .p-dropdown .p-dropdown-label,
:host ::ng-deep .bolder.p-inputwrapper-filled .p-inputnumber-input {
  color: #242734;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0.045px;
}

:host ::ng-deep .p-inputtext.p-component.p-element.bolder:disabled {
  border: 1px solid #DDD;
  color: #979797;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0.045px;
}

:host ::ng-deep .p-inputgroup.disabled .p-inputgroup-addon {
  background: #f2f2f2;
}
:host ::ng-deep .p-inputgroup .p-inputgroup-addon {
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  color: #798b94;
  background: #fff;
  background: #fff;
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-left: none;
  border-bottom: 2px solid #798b94;
}
:host ::ng-deep .p-inputgroup .p-inputnumber {
  border: none;
  border-bottom: 2px solid #798b94;
}
:host ::ng-deep .p-inputgroup .p-inputtext {
  border-top: 1px solid #DDD;
  border-right: 1px solid #DDD;
  border-left: 1px solid #DDD;
  border-right: none;
}

:host ::ng-deep .p-inputwrapper-filled + .p-inputgroup-addon,
:host ::ng-deep .p-inputgroup-addon:has(+ .p-inputwrapper-filled) {
  border-bottom: 2px solid #24eebd !important;
}

:host ::ng-deep .p-inputgroup > .p-inputgroup-addon.left {
  border-bottom: 2px solid #24eebd !important;
}

:host ::ng-deep .p-radiobutton .p-radiobutton-box:not(.p-disabled):not(.p-highlight):hover {
  border-color: #24eebd !important;
}

:host ::ng-deep .p-radiobutton .p-radiobutton-box:not(.p-disabled).p-focus {
  box-shadow: none;
}

:host ::ng-deep .p-inputgroup p-dropdown {
  display: flex;
  align-items: center;
  justify-content: center;
}

:host ::ng-deep .p-inputgroup > .p-inputwrapper:last-child > .p-component {
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

:host ::ng-deep .p-inputgroup.no-validation-colors .p-inputgroup-addon,
:host ::ng-deep .no-validation-colors .p-inputwrapper-filled + .p-inputgroup-addon,
:host ::ng-deep .no-validation-colors .p-inputgroup-addon:has(+ .p-inputwrapper-filled) {
  border-bottom: 1px solid #DDD !important;
}

:host ::ng-deep .p-inputgroup.no-validation-colors > .p-inputgroup-addon.left {
  border-bottom: 1px solid #DDD !important;
}

:host ::ng-deep .p-inputgroup.no-validation-colors .p-inputnumber {
  border-bottom: 1px solid #DDD !important;
}

:host ::ng-deep .p-inputgroup.no-validation-colors .p-inputtext {
  border-left: none;
}

:host ::ng-deep .p-inputgroup .p-inputgroup-addon.left {
  border-right: none;
  border-left: 1px solid #DDD;
}

:host ::ng-deep .p-inputgroup .p-dropdown .p-inputtext {
  border: none;
}

:host ::ng-deep .p-inputgroup .p-dropdown {
  border-left: none;
}
:host ::ng-deep .p-inputgroup .p-dropdown:hover, :host ::ng-deep .p-inputgroup .p-dropdown.p-focus, :host ::ng-deep .p-inputgroup .p-dropdown.p-focus:hover {
  border-left: none;
}

:host ::ng-deep .black-text.p-inputwrapper-filled .p-dropdown .p-dropdown-label,
:host ::ng-deep .black-text.p-inputwrapper-filled .p-multiselect .p-multiselect-label,
:host ::ng-deep .black-text .p-inputwrapper-filled .p-autocomplete-input {
  color: #242734;
  font-size: 16px;
  font-weight: 400;
  line-height: 16px;
}

:host ::ng-deep .p-inputtextarea.black-text.p-filled {
  color: #242734;
  font-size: 16px;
  font-weight: 400;
}

:host ::ng-deep .bold-text.p-inputwrapper-filled .p-inputtext,
:host ::ng-deep input.custom-input.bold-text.p-inputtext.p-filled {
  color: #242734;
  font-size: 24px;
  font-weight: 700;
  padding: 0 10px 0;
}

:host ::ng-deep .bold-text .p-dropdown .p-dropdown-label {
  padding: 10px 10px 0;
}

:host ::ng-deep .bold-text.ng-invalid .p-dropdown .p-dropdown-label {
  padding: 14px 10px 0;
}

:host ::ng-deep .p-dialog .p-dialog-content {
  padding: 0 1.5rem 2rem 1.5rem !important;
}

:host ::ng-deep .p-paginator .ng-valid .p-dropdown,
:host ::ng-deep .p-paginator .p-inputwrapper-filled .p-dropdown {
  border-bottom: 1px solid #DDD !important;
}
:host ::ng-deep .p-paginator p-dropdown {
  width: 90px;
}

:host ::ng-deep .p-inputswitch.p-inputswitch-checked .p-inputswitch-slider {
  background: #03BFA9;
}

:host ::ng-deep .p-inputswitch.p-inputswitch-checked:not(.p-disabled):hover .p-inputswitch-slider {
  background: #03BFA9;
}

:host ::ng-deep .p-inputswitch.p-focus .p-inputswitch-slider {
  box-shadow: none;
}

:host ::ng-deep .p-inputswitch .p-inputswitch-slider {
  height: 16px;
  width: 42px;
  margin-top: 6px;
}

:host ::ng-deep .p-inputswitch .p-inputswitch-slider::before {
  width: 24px;
  height: 24px;
  left: 0;
  margin-top: -12px;
  box-shadow: 0px 2px 6px 2px rgba(50, 58, 72, 0.15), 0px 1px 2px 0px rgba(50, 58, 72, 0.3);
}

:host ::ng-deep .p-ripple.property .p-ink {
  background: #24eebd;
  opacity: 0.3;
}

:host ::ng-deep .p-radiobutton .p-radiobutton-box.p-disabled.p-highlight {
  opacity: 0.5;
}

:host ::ng-deep .p-inputtextarea.p-filled:disabled {
  color: #979797;
}

:host ::ng-deep .p-paginator button.p-paginator-element {
  color: #798b94 !important;
}
:host ::ng-deep .p-paginator button.p-paginator-element.p-disabled {
  background: #f2f4f5 !important;
  color: #979797 !important;
}
:host ::ng-deep .p-paginator .p-paginator-pages button.p-paginator-page {
  color: #607682 !important;
}
:host ::ng-deep .p-paginator .p-paginator-pages button.p-paginator-page.p-highlight {
  background: linear-gradient(0deg, rgba(36, 238, 189, 0.4) 0%, rgba(36, 238, 189, 0.4) 100%), #fff;
  border: none;
  color: #242734 !important;
}
:host ::ng-deep .p-paginator .p-paginator-pages button.p-paginator-page:hover {
  background: rgba(36, 238, 189, 0.1);
  border: 1px solid #e0e6f1;
}

:host ::ng-deep * {
  font-family: "Manrope", sans-serif !important;
}

:host ::ng-deep .pi {
  font-family: "primeicons" !important;
}

/* Typography styles according to design system */
:host ::ng-deep h1 {
  font-size: 40px;
  line-height: 50px;
  font-weight: 700;
  font-family: "Manrope", sans-serif !important;
}

:host ::ng-deep h2 {
  font-size: 30px;
  font-weight: 700;
  font-family: "Manrope", sans-serif !important;
}

:host ::ng-deep h3 {
  font-size: 24px;
  font-weight: 700;
  font-family: "Manrope", sans-serif !important;
}

:host ::ng-deep h4 {
  font-size: 16px;
  font-weight: 600;
  font-family: "Manrope", sans-serif !important;
}

:host ::ng-deep h5 {
  font-size: 14px;
  font-weight: 600;
  font-family: "Manrope", sans-serif !important;
}

span, div, p, a, label, input, textarea, button, select, option {
  font-family: "Manrope", sans-serif !important;
}

body {
  font-family: "Manrope", sans-serif;
  font-size: 14px;
  font-weight: 400;
}

:host ::ng-deep .caption {
  font-size: 12px;
  font-weight: 400;
}

:host ::ng-deep .counter {
  font-size: 12px;
  font-weight: 500;
}

:host ::ng-deep .full {
  width: 100% !important;
}

:host ::ng-deep .row {
  display: flex;
}

:host ::ng-deep .column {
  display: flex;
  flex-direction: column;
}

:host ::ng-deep .gap4 {
  gap: 4px !important;
}

:host ::ng-deep .gap8 {
  gap: 8px !important;
}

:host ::ng-deep .gap12 {
  gap: 12px !important;
}

:host ::ng-deep .gap16 {
  gap: 16px !important;
}

:host ::ng-deep .gap24 {
  gap: 24px !important;
}

:host ::ng-deep .gap32 {
  gap: 32px !important;
}

:host ::ng-deep .gap40 {
  gap: 40px !important;
}

:host ::ng-deep .error-text {
  color: #fb7991;
  font-size: 14px;
  font-weight: 500;
}

:host ::ng-deep .input-wrapper-error {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 4px !important;
}
:host ::ng-deep .input-wrapper-error .error {
  color: #fb7991;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
}

:host ::ng-deep .acceptance-properties {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: 0.045px;
  flex-wrap: wrap;
}
:host ::ng-deep .acceptance-properties .acceptance-property {
  display: flex;
  align-items: center;
  gap: 16px;
  align-self: stretch;
  justify-content: space-between;
  flex-wrap: wrap;
}
:host ::ng-deep .acceptance-properties .acceptance-property strong {
  font-weight: 500;
}
:host ::ng-deep .acceptance-properties .acceptance-property .wrapper {
  display: flex;
  flex-wrap: wrap;
  align-content: flex-start;
  align-items: center;
  gap: 16px;
  align-self: stretch;
}
:host ::ng-deep .acceptance-properties .acceptance-property .wrapper span {
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0.045px;
  text-align: right;
}
:host ::ng-deep .acceptance-properties .acceptance-property .wrapper ::ng-deep .p-inputnumber-input {
  width: 75px !important;
}

:host ::ng-deep .gost-values {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
  flex-wrap: wrap;
}
:host ::ng-deep .gost-values .gost-value {
  display: flex;
  padding: 1px 16px;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  background: #eef1f6;
  height: 46px;
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: 0.045px;
  color: #242734;
  width: max-content;
}
:host ::ng-deep .gost-values .gost-value span {
  margin: 0 8px;
}

:host ::ng-deep .property {
  display: flex;
  padding: 16px;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  flex: 1 0 0;
  border-radius: 8px;
  border: 1px solid #e0e6f1;
  background: #fff;
  cursor: pointer;
}
:host ::ng-deep .property .value {
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}
:host ::ng-deep .property.selected {
  border: 1px solid #24eebd;
  box-shadow: 0px 2px 6px 2px rgba(50, 58, 72, 0.15), 0px 1px 2px 0px rgba(50, 58, 72, 0.3);
}
:host ::ng-deep .property.invalid {
  border: 1px solid #fb7991;
  background: #fff5f7;
}
:host ::ng-deep .property.disabled {
  background: #eee;
}
:host ::ng-deep .property .image {
  align-self: flex-end;
}

:host ::ng-deep .info-block {
  display: flex;
  width: 100%;
  padding: 28px 16px;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 10px;
  align-self: stretch;
  border-radius: 4px;
  background: #eef1f6;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
  color: #798b94;
}

:host ::ng-deep .files-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  width: 50% !important;
}

:host ::ng-deep .map-block {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 24px;
  flex: 1;
  height: 100%;
  overflow: hidden;
  border-radius: 4px;
  border: 1px solid #e0e6f1;
}
:host ::ng-deep .map-block .map-container {
  flex-grow: 1;
  min-height: 200px;
  min-width: 200px;
}
:host ::ng-deep .map-block .map-container.height-300 {
  min-height: 300px;
}

:host ::ng-deep .filter-block .p-inputtext {
  min-height: 37px !important;
  padding: 11px 10px 11px 24px;
}

:host ::ng-deep .p-skeleton {
  background-color: #fff !important;
  border-radius: 2px 2px 0 0;
}
:host ::ng-deep .p-skeleton:after {
  background: linear-gradient(90deg, rgba(255, 255, 255, 0), rgb(238, 241, 241), rgba(255, 255, 255, 0));
}

:host ::ng-deep img.loading-spinner {
  --d: 30px;
  position: absolute !important;
  left: 50% !important;
  top: 50% !important;
  width: 8px !important;
  height: 8px !important;
  border-radius: 50%;
  color: #03BFA9;
  box-shadow: calc(1 * var(--d)) calc(0 * var(--d)) 0 0, calc(0.707 * var(--d)) calc(0.707 * var(--d)) 0 1px, calc(0 * var(--d)) calc(1 * var(--d)) 0 2px, calc(-0.707 * var(--d)) calc(0.707 * var(--d)) 0 3px, calc(-1 * var(--d)) calc(0 * var(--d)) 0 4px, calc(-0.707 * var(--d)) calc(-0.707 * var(--d)) 0 5px, calc(0 * var(--d)) calc(-1 * var(--d)) 0 6px;
  animation: l27 1s infinite steps(8);
  border-color: #fff;
  border-style: solid;
  border-width: 5px;
}

@keyframes l27 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
:host ::ng-deep .app-icon {
  display: inline-block;
  background-size: contain;
}
:host ::ng-deep .app-icon.diamond {
  background: url("//graintrade-trade-system-dev.data1861.ru/assets/icons/diamond.svg") no-repeat center;
}
:host ::ng-deep .app-icon.play-switch {
  background: url("//graintrade-trade-system-dev.data1861.ru/assets/icons/play-switch-icon.svg") no-repeat center;
}
:host ::ng-deep .app-icon.attach {
  background: url("//graintrade-trade-system-dev.data1861.ru/assets/icons/attach.svg") no-repeat center;
}
:host ::ng-deep .app-icon.arrow-right-single {
  background: url("//graintrade-trade-system-dev.data1861.ru/assets/icons/arrow-right-single.svg") no-repeat center;
}
:host ::ng-deep .app-icon.arrow-left-single {
  background: url("//graintrade-trade-system-dev.data1861.ru/assets/icons/arrow-left.svg") no-repeat center;
}
